package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hfx
 * @date 2023/1/12 9:15
 * @desc 路口转向
 */
@Data
public class CrossTurnInfoDTO {

    @ApiModelProperty(name = "转向ID",notes = "")
    private String turnId;

    @ApiModelProperty(name = "转向类型：u掉头；l左转；s直行；r右转；",notes = "")
    private Integer turnType;

    @ApiModelProperty(name = "驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer inDir;

    @ApiModelProperty(name = "驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer outDir;

    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;

}
